> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Challenge Info

> Get Challenge Info



## OpenAPI

````yaml /api-reference/openapi.json get /api/challenge/info
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/challenge/info:
    get:
      tags:
        - Challenge (Hashtag)
      summary: Get Challenge Info
      description: Get Challenge Info
      operationId: getApiChallengeInfo
      parameters:
        - in: query
          name: challengeName
          schema:
            type: string
            minLength: 1
            description: Challenge name
            example: fyp
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  challengeInfo:
                    type: object
                    properties:
                      challenge:
                        type: object
                        properties:
                          coverLarger:
                            type: string
                            description: URL of the large cover image for the challenge
                            example: ''
                          coverMedium:
                            type: string
                            description: URL of the medium cover image for the challenge
                            example: ''
                          coverThumb:
                            type: string
                            description: URL of the thumbnail cover image for the challenge
                            example: ''
                          desc:
                            type: string
                            description: Description of the challenge
                            example: ''
                          id:
                            type: string
                            description: Challenge ID
                            example: '229207'
                          profileLarger:
                            type: string
                            description: >-
                              URL of the large profile image associated with the
                              challenge, if any
                            example: ''
                          profileMedium:
                            type: string
                            description: >-
                              URL of the medium profile image associated with
                              the challenge, if any
                            example: ''
                          profileThumb:
                            type: string
                            description: >-
                              URL of the thumnail profile image associated with
                              the challenge, if any
                            example: ''
                          title:
                            type: string
                            description: Title or name of the challenge
                            example: fyp
                      challengeAnnouncement:
                        type: object
                        properties:
                          body:
                            type: string
                            description: Announcement body to the challenge
                            example: ''
                          title:
                            type: string
                            description: Title of the challenge announcement
                            example: ''
                      stats:
                        type: object
                        properties:
                          videoCount:
                            type: number
                            description: Total number of videos using this hashtag
                            deprecated: true
                            example: 0
                          viewCount:
                            type: number
                            description: >-
                              Total number of views for videos using this
                              hashtag
                            example: 105813400000000
                      statsV2:
                        type: object
                        properties:
                          videoCount:
                            type: string
                            description: Total number of videos using this hashtag
                            example: '8050268855'
                          viewCount:
                            type: string
                            description: >-
                              Total number of views for videos using this
                              hashtag
                            example: '105813438690569'
                  statusCode:
                    type: number
                    description: |2-
                       Status Code
                            - 0: Success
                            - 10205: Not found
                          
                    example: 0
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````